package model

import (
	"time"
)

type LifeOrder struct {
	Id               int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Platform         string    `json:"platform" xorm:"comment('平台') VARCHAR(255)"`
	OrdType          string    `json:"ord_type" xorm:"comment('平台') VARCHAR(255)"`
	PvdOid           string    `json:"pvd_oid" xorm:"comment('平台单号') unique VARCHAR(255)"`
	CreateAt         time.Time `json:"create_at" xorm:"comment('下单时间') DATETIME"`
	UpdateAt         time.Time `json:"update_at" xorm:"comment('更新时间') DATETIME"`
	State            string    `json:"state" xorm:"default '0' comment('状态 ') VARCHAR(20)"`
	SettleAt         int       `json:"settle_at" xorm:"default 0 comment('结算时间') INT(11)"`
	Commission       string    `json:"commission" xorm:"default 0.00 comment('平台佣金') DECIMAL(20,2)"`
	Reward           string    `json:"reward" xorm:"default 0.00000000 comment('蛋蛋活跃值') DECIMAL(20,8)"`
	GoodsTitle       string    `json:"goods_title" xorm:"VARCHAR(255)"`
	GoodsImg         string    `json:"goods_img" xorm:"VARCHAR(255)"`
	GoodsNum         int       `json:"goods_num" xorm:"default 1 INT(11)"`
	Uid              int       `json:"uid" xorm:"default 0 INT(11)"`
	Payment          string    `json:"payment" xorm:"default 0.00 DECIMAL(20,2)"`
	PlatformSettleAt time.Time `json:"platform_settle_at" xorm:"DATETIME"`
}
